Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core.proc
Class InfoTable

    java.lang.Object
      org.basex.core.Progress
          org.basex.core.Proc
              org.basex.core.proc.InfoTable

    public final class InfoTable

extends Proc

Evaluates the 'info table' command and returns the table representation of the currently opened database.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.core.Proc
`DATAREF, flags, STANDARD`

Constructor Summary
`InfoTable(String... arg)` Default constructor.

Method Summary
`static byte[]` | `table(Data data, int s, int e)` Prints the specified range of the table.
`String` | `toString()` Returns a string representation of the process.

Methods inherited from class org.basex.core.Proc
`exec, exec, execute, execute, info, result, updating`

Methods inherited from class org.basex.core.Progress
`abort, checkStop, det, detail, prog, progress, progress, stop, tit, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InfoTable

    public InfoTable(String... arg)

  Default constructor.

  Parameters:
    `arg` - optional arguments

Method Detail

### table

    public static byte[] table(Data data,
                               int s,
                               int e)

  Prints the specified range of the table.

  Parameters:
    `data` - data reference
    `s` - first node to be printed
    `e` - last node to be printed
  Returns:
    table

### toString

    public String toString()

  Description copied from class: `Proc`
  Returns a string representation of the process. In the client/server architecture, this string is sent to and reparsed by the server.

  Overrides:
    `toString` in class `Proc`
  Returns:
    string representation

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD